[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.CacheUpdates

Should changes be kept in memory

## Declaration

Source position: inifiles.pp line 191

`public property TIniFile.CacheUpdates : Boolean read FCacheUpdates write SetCacheUpdates;`

## Description

CacheUpdates determines how to deal with changes to the ini-file data: if set to True then changes are kept in memory till the file is written to disk with a call to UpdateFile. If it is set to False then each call that changes the data of the ini-file will result in a call to UpdateFile. This is the default behaviour, but it may aversely affect performance.

## See also

UpdateFile |  | Update the file on disk

Documentation generated on: Feb 26 2014